# Ipopt::MySensTNLP Class Reference

`#include <MySensTNLP.hpp>`

Inheritance diagram for Ipopt::MySensTNLP:
[legend]

List of all members.

## Public Member Functions
| MySensTNLP ()
| default constructor
virtual | ~MySensTNLP ()
| default destructor
virtual bool | get_var_con_metadata (Index n, StringMetaDataMapType &var_string_md, IntegerMetaDataMapType &var_integer_md, NumericMetaDataMapType &var_numeric_md, Index m, StringMetaDataMapType &con_string_md, IntegerMetaDataMapType &con_integer_md, NumericMetaDataMapType &con_numeric_md)
| overload this method to return any meta data for the variables and the constraints
Overloaded from TNLP
virtual bool | get_nlp_info (Index &n, Index &m, Index &nnz_jac_g, Index &nnz_h_lag, IndexStyleEnum &index_style)
| Method to return some info about the nlp.
virtual bool | get_bounds_info (Index n, Number *x_l, Number *x_u, Index m, Number *g_l, Number *g_u)
| Method to return the bounds for my problem.
virtual bool | get_starting_point (Index n, bool init_x, Number *x, bool init_z, Number *z_L, Number *z_U, Index m, bool init_lambda, Number *lambda)
| Method to return the starting point for the algorithm.
virtual bool | eval_f (Index n, const Number *x, bool new_x, Number &obj_value)
| Method to return the objective value.
virtual bool | eval_grad_f (Index n, const Number *x, bool new_x, Number *grad_f)
| Method to return the gradient of the objective.
virtual bool | eval_g (Index n, const Number *x, bool new_x, Index m, Number *g)
| Method to return the constraint residuals.
virtual bool | eval_jac_g (Index n, const Number *x, bool new_x, Index m, Index nele_jac, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL).
virtual bool | eval_h (Index n, const Number *x, bool new_x, Number obj_factor, Index m, const Number *lambda, bool new_lambda, Index nele_hess, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL).
Solution Methods
virtual void | finalize_solution (SolverReturn status, Index n, const Number *x, const Number *z_L, const Number *z_U, Index m, const Number *g, const Number *lambda, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| This method is called when the algorithm is complete so the TNLP can store/write the solution.
## Private Member Functions
Methods to block default compiler methods.
The compiler automatically generates the following three methods. Since the default compiler implementation is generally not what you want (for all but the most simple classes), we usually put the declarations of these methods in the private section and never implement them. This prevents the compiler from implementing an incorrect "default" behavior without us knowing. (See Scott Meyers book, "Effective C++")
| MySensTNLP (const MySensTNLP &)
MySensTNLP & | operator= (const MySensTNLP &)
| Overloaded Equals Operator.

## Detailed Description

Definition at line 15 of file MySensTNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::MySensTNLP::MySensTNLP | ( |  | ) |

default constructor

virtual Ipopt::MySensTNLP::~MySensTNLP | ( |  | ) | `[virtual]`

default destructor

Ipopt::MySensTNLP::MySensTNLP | ( | const MySensTNLP & |  | ) | `[private]`

## Member Function Documentation

virtual bool Ipopt::MySensTNLP::get_nlp_info | ( | Index & | n,
|  | Index & | m,
|  | Index & | nnz_jac_g,
|  | Index & | nnz_h_lag,
|  | IndexStyleEnum & | index_style |
| ) |  |  | `[virtual]`

Method to return some info about the nlp.

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::get_bounds_info | ( | Index | n,
|  | Number * | x_l,
|  | Number * | x_u,
|  | Index | m,
|  | Number * | g_l,
|  | Number * | g_u |
| ) |  |  | `[virtual]`

Method to return the bounds for my problem.

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::get_starting_point | ( | Index | n,
|  | bool | init_x,
|  | Number * | x,
|  | bool | init_z,
|  | Number * | z_L,
|  | Number * | z_U,
|  | Index | m,
|  | bool | init_lambda,
|  | Number * | lambda |
| ) |  |  | `[virtual]`

Method to return the starting point for the algorithm.

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::eval_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number & | obj_value |
| ) |  |  | `[virtual]`

Method to return the objective value.

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::eval_grad_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number * | grad_f |
| ) |  |  | `[virtual]`

Method to return the gradient of the objective.

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::eval_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Number * | g |
| ) |  |  | `[virtual]`

Method to return the constraint residuals.

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::eval_jac_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Index | nele_jac,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values |
| ) |  |  | `[virtual]`

Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL).

Implements Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::eval_h | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number | obj_factor,
|  | Index | m,
|  | const Number * | lambda,
|  | bool | new_lambda,
|  | Index | nele_hess,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values |
| ) |  |  | `[virtual]`

Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL).

Reimplemented from Ipopt::TNLP.

virtual bool Ipopt::MySensTNLP::get_var_con_metadata | ( | Index | n,
|  | StringMetaDataMapType & | var_string_md,
|  | IntegerMetaDataMapType & | var_integer_md,
|  | NumericMetaDataMapType & | var_numeric_md,
|  | Index | m,
|  | StringMetaDataMapType & | con_string_md,
|  | IntegerMetaDataMapType & | con_integer_md,
|  | NumericMetaDataMapType & | con_numeric_md |
| ) |  |  | `[virtual]`

overload this method to return any meta data for the variables and the constraints

Reimplemented from Ipopt::TNLP.

virtual void Ipopt::MySensTNLP::finalize_solution | ( | SolverReturn | status,
|  | Index | n,
|  | const Number * | x,
|  | const Number * | z_L,
|  | const Number * | z_U,
|  | Index | m,
|  | const Number * | g,
|  | const Number * | lambda,
|  | Number | obj_value,
|  | const IpoptData * | ip_data,
|  | IpoptCalculatedQuantities * | ip_cq |
| ) |  |  | `[virtual]`

This method is called when the algorithm is complete so the TNLP can store/write the solution.

Implements Ipopt::TNLP.

MySensTNLP& Ipopt::MySensTNLP::operator= | ( | const MySensTNLP & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::TNLP.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/examples/redhess_cpp/MySensTNLP.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines